Description

This patch adds a project index menu hook.

It is used in redmine_pastebin

1

 plugin to add the 'View all pastes' link and could be useful for other plugins as well.

[1] https://github.com/commandprompt/redmine_pastebin

Related issues:

Related to Redmine - Feature #6497: Request for a view_projects_index_context... Closed 2010-09-26

Related to Redmine - Feature #26385: Add a non-hook based API for adding/remo... New

Has duplicate Redmine - Patch #8772: Provide a hook for projects index contex... Closed 2011-07-08

History

#1 - 2016-12-30 09:22 - Go MAEDA

- Category changed from Plugin API to Hook requests

#2 - 2016-12-30 09:50 - Go MAEDA

- Has duplicate Patch #8772: Provide a hook for projects index contextual menu customization added

#3 - 2016-12-30 10:23 - Mischa The Evil

From #6497:

Jan from Planio www.plan.io wrote:

Request for a view_projects_index_contextual hook

Eric Davis wrote:

Patch looks ok but I'm been thinking about how some of Redmine's contextual menus are done. Because once this hook is in there,

someone else will want to add to the start of the list and someone else will want to add in the middle of the list, etc...

Jean-Philippe Lang wrote:

We'd better have a non-hook based API for adding items to contextual menus, much like the main menu.

Jan from Planio www.plan.io wrote:

Status changed from New to Closed

Resolution set to Wont fix

Then, let's close it.

#4 - 2017-07-08 02:42 - Mischa The Evil

- Related to Feature #6497: Request for a view_projects_index_contextual hook added
#5 - 2017-07-08 02:44 - Mischa The Evil

- Status changed from New to Closed

In light of note-3 and issue #26385, I'll close this issue.

#6 - 2017-07-08 02:46 - Mischa The Evil

- Related to Feature #26385: Add a non-hook based API for adding/removing items to/from contextual menus (like the main menu) added
